libzypp: zypp::PublicKeySignatureData Class Reference

libzypp 17.38.13

zypp::PublicKeySignatureData Class Reference

Class representing a signature on a GPG Public Key. More...

`#include <zypp-common/PublicKey.h>`

## Classes
class | Impl
| PublicKeySignatureData implementation. More...

## Public Member Functions
| PublicKeySignatureData ()
| Default constructed: empty data.
| ~PublicKeySignatureData ()
| operator bool () const
| Whether this contains valid data (not default constructed).
std::string | id () const
| The key ID of key used to create the signature.
std::string | name () const
| The user ID associated with this key, if present.
Date | created () const
| Creation date.
Date | expires () const
| Expiry date, or `Date()` if the key never expires.
bool | expired () const
| Whether the key has expired.
int | daysToLive () const
| Number of days (24h) until the key expires (or since it expired).
std::string | asString () const
| Simple string representation.

## Private Member Functions
| PublicKeySignatureData (const _gpgme_key_sig *rawKeySignatureData)

## Private Attributes
RWCOW_pointer< Impl > | _pimpl

## Friends
class | PublicKeyData
std::ostream & | dumpOn (std::ostream &str, const PublicKeyData &obj)
| relates: PublicKeyData Detailed stream output

## Detailed Description

Class representing a signature on a GPG Public Key.

See also
  PublicKeyData.

Definition at line 136 of file PublicKey.h.

## Constructor & Destructor Documentation

## ◆ PublicKeySignatureData() [1/2]

zypp::PublicKeySignatureData::PublicKeySignatureData | ( |  | ) |

Default constructed: empty data.

class PublicKeySignatureData

Definition at line 238 of file PublicKey.cc.

## ◆ ~PublicKeySignatureData()

zypp::PublicKeySignatureData::~PublicKeySignatureData | ( |  | ) |

Definition at line 251 of file PublicKey.cc.

## ◆ PublicKeySignatureData() [2/2]

zypp::PublicKeySignatureData::PublicKeySignatureData | ( | const _gpgme_key_sig * | rawKeySignatureData | ) |
| private

Definition at line 242 of file PublicKey.cc.

## Member Function Documentation

## ◆ operator bool()

zypp::PublicKeySignatureData::operator bool | ( |  | ) | const
| explicit

Whether this contains valid data (not default constructed).

Definition at line 254 of file PublicKey.cc.

## ◆ id()

std::string zypp::PublicKeySignatureData::id | ( |  | ) | const

The key ID of key used to create the signature.

Definition at line 257 of file PublicKey.cc.

## ◆ name()

std::string zypp::PublicKeySignatureData::name | ( |  | ) | const

The user ID associated with this key, if present.

Definition at line 260 of file PublicKey.cc.

## ◆ created()

Date zypp::PublicKeySignatureData::created | ( |  | ) | const

Creation date.

Definition at line 263 of file PublicKey.cc.

## ◆ expires()

Date zypp::PublicKeySignatureData::expires | ( |  | ) | const

Expiry date, or `Date()` if the key never expires.

Definition at line 266 of file PublicKey.cc.

## ◆ expired()

bool zypp::PublicKeySignatureData::expired | ( |  | ) | const

Whether the key has expired.

Definition at line 269 of file PublicKey.cc.

## ◆ daysToLive()

int zypp::PublicKeySignatureData::daysToLive | ( |  | ) | const

Number of days (24h) until the key expires (or since it expired).

A value of `0` means the key will expire within the next 24h. Negative values indicate the key has expired less than `N` days ago. For keys without expiration date `INT_MAX` is returned.

Definition at line 272 of file PublicKey.cc.

## ◆ asString()

std::string zypp::PublicKeySignatureData::asString | ( |  | ) | const

Simple string representation.

Encodes id, created and expires

640DB551 2016-04-12 [expires: 2019-04-12]
zypp::PublicKeySignatureData::expires
Date expires() const
Expiry date, or Date() if the key never expires.
Definition PublicKey.cc:266

Definition at line 275 of file PublicKey.cc.

## Friends And Related Symbol Documentation

## ◆ PublicKeyData

friend class PublicKeyData
| friend

Definition at line 181 of file PublicKey.h.

## ◆ dumpOn

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const PublicKeyData & | obj )
| friend

relates: PublicKeyData Detailed stream output

Definition at line 483 of file PublicKey.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::PublicKeySignatureData::_pimpl
| private

Definition at line 180 of file PublicKey.h.

The documentation for this class was generated from the following files:

- zypp-common/PublicKey.h
- zypp-common/PublicKey.cc